﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Runtime.Serialization;

namespace GasolineTanker
{
    [Serializable]
    internal class GasolineTankerNotFoundException : ApplicationException
    {
        public GasolineTankerNotFoundException(int i) : base($"Object not found by position { i}") { }
        public GasolineTankerNotFoundException() : base() { }
        public GasolineTankerNotFoundException(string message) : base(message) { }
        public GasolineTankerNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected GasolineTankerNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
